Package org.bukkit.entity

# Enum Class AbstractArrow.PickupStatus

java.lang.Object
java.lang.Enum<AbstractArrow.PickupStatus>
org.bukkit.entity.AbstractArrow.PickupStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<AbstractArrow.PickupStatus>`, `Constable`

Enclosing interface:
  AbstractArrow

public static enum AbstractArrow.PickupStatus extends Enum<AbstractArrow.PickupStatus>
Represents the pickup status of this arrow.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALLOWED`
The arrow can be picked up.
`CREATIVE_ONLY`
The arrow can only be picked up by players in creative mode.
`DISALLOWED`
The arrow cannot be picked up.

## Method Summary

Modifier and Type
Method
Description
`static AbstractArrow.PickupStatus`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AbstractArrow.PickupStatus[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DISALLOWED

public static final AbstractArrow.PickupStatus DISALLOWED
The arrow cannot be picked up.

### ALLOWED

public static final AbstractArrow.PickupStatus ALLOWED
The arrow can be picked up.

### CREATIVE_ONLY

public static final AbstractArrow.PickupStatus CREATIVE_ONLY
The arrow can only be picked up by players in creative mode.

## Method Details

### values

public static AbstractArrow.PickupStatus[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AbstractArrow.PickupStatus valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null